Bug 994125 - cli: show time-out and distinguish time-outed rules
cli: show time-out and distinguish time-outed rules
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.0
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Eric Garver
qe-baseos-daemons
:
Depends On:
Blocks: 1295396 980210
  Show dependency treegraph
 
Reported: 2013-08-06 10:35 EDT by Tomas Dolezal
Modified: 2017-09-14 13:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Dolezal 2013-08-06 10:35:21 EDT
Description of problem:
cli: be able to show how much time does have a rule left (e.g. --add-service=http --timeout=60) in a table

when displaying running configuration by --list-all, mark rules/services, with a timeout active, somehow to distinguish them among the others

Version-Release number of selected component (if applicable):
firewalld-0.3.4-1

How reproducible:
always

Steps to Reproduce:
setup: firewall-cmd --add-service=http --timeout $((4*60))
firewall-cmd <list timeouted>
firewall-cmd --list-all

Expected results:
please fix or provide information why do you think it shouldn't be fixed this way
thanks

Additional info:
CCed affiliated users

I think marking them with other colour or (better) asterisk sign would suffice
Comment 3 Jiri Popelka 2013-09-20 07:29:35 EDT
(In reply to Tomas Dolezal from comment #0)
> when displaying running configuration by --list-all, mark rules/services,
> with a timeout active, somehow to distinguish them among the others

Nice idea, the problem is that we don't ship such info (e.g. whether the port/service is activated only temporarily) over D-Bus. To fix it we'd have to add it there and therefore change the D-Bus interface which is IMHO not feasible at the moment.

> I think marking them with other colour or (better) asterisk sign would suffice

However using colours could be a nice feature, so with the following commit we indicate non-zero exit status with red color.
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=789ff4d2487e13da120706e3cd94066803e31338
Comment 4 Thomas Woerner 2013-10-23 10:49:01 EDT
This is not possible at the moment.

We will re-think about this for the firewalld recode in C. But it will surely require a D-BUS interface change, which will not be possible.

Proposing for 7.1 to re-think about it.

Note You need to log in before you can comment on or make changes to this bug.